import * as ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsTypes from './bookings-catalog-v1-service-options-and-variants-service-options-and-variants.types.js';
import * as ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsUniversalTypes from './bookings-catalog-v1-service-options-and-variants-service-options-and-variants.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function createServiceOptionsAndVariants(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsUniversalTypes.CreateServiceOptionsAndVariantsRequest, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsTypes.CreateServiceOptionsAndVariantsRequest, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsUniversalTypes.CreateServiceOptionsAndVariantsResponse, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsTypes.CreateServiceOptionsAndVariantsResponse>;
export declare function cloneServiceOptionsAndVariants(): __PublicMethodMetaInfo<'POST', {
    cloneFromId: string;
}, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsUniversalTypes.CloneServiceOptionsAndVariantsRequest, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsTypes.CloneServiceOptionsAndVariantsRequest, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsUniversalTypes.CloneServiceOptionsAndVariantsResponse, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsTypes.CloneServiceOptionsAndVariantsResponse>;
export declare function getServiceOptionsAndVariants(): __PublicMethodMetaInfo<'GET', {
    serviceOptionsAndVariantsId: string;
}, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsUniversalTypes.GetServiceOptionsAndVariantsRequest, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsTypes.GetServiceOptionsAndVariantsRequest, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsUniversalTypes.GetServiceOptionsAndVariantsResponse, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsTypes.GetServiceOptionsAndVariantsResponse>;
export declare function getServiceOptionsAndVariantsByServiceId(): __PublicMethodMetaInfo<'GET', {
    serviceId: string;
}, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsUniversalTypes.GetServiceOptionsAndVariantsByServiceIdRequest, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsTypes.GetServiceOptionsAndVariantsByServiceIdRequest, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsUniversalTypes.GetServiceOptionsAndVariantsByServiceIdResponse, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsTypes.GetServiceOptionsAndVariantsByServiceIdResponse>;
export declare function updateServiceOptionsAndVariants(): __PublicMethodMetaInfo<'PATCH', {
    serviceOptionsAndVariantsId: string;
}, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsUniversalTypes.UpdateServiceOptionsAndVariantsRequest, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsTypes.UpdateServiceOptionsAndVariantsRequest, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsUniversalTypes.UpdateServiceOptionsAndVariantsResponse, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsTypes.UpdateServiceOptionsAndVariantsResponse>;
export declare function deleteServiceOptionsAndVariants(): __PublicMethodMetaInfo<'DELETE', {
    serviceOptionsAndVariantsId: string;
}, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsUniversalTypes.DeleteServiceOptionsAndVariantsRequest, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsTypes.DeleteServiceOptionsAndVariantsRequest, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsUniversalTypes.DeleteServiceOptionsAndVariantsResponse, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsTypes.DeleteServiceOptionsAndVariantsResponse>;
export declare function queryServiceOptionsAndVariants(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsUniversalTypes.QueryServiceOptionsAndVariantsRequest, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsTypes.QueryServiceOptionsAndVariantsRequest, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsUniversalTypes.QueryServiceOptionsAndVariantsResponse, ambassadorWixBookingsCatalogV1ServiceOptionsAndVariantsTypes.QueryServiceOptionsAndVariantsResponse>;
