import { createServiceOptionsAndVariants as publicCreateServiceOptionsAndVariants, cloneServiceOptionsAndVariants as publicCloneServiceOptionsAndVariants, getServiceOptionsAndVariants as publicGetServiceOptionsAndVariants, getServiceOptionsAndVariantsByServiceId as publicGetServiceOptionsAndVariantsByServiceId, updateServiceOptionsAndVariants as publicUpdateServiceOptionsAndVariants, deleteServiceOptionsAndVariants as publicDeleteServiceOptionsAndVariants, queryServiceOptionsAndVariants as publicQueryServiceOptionsAndVariants } from './bookings-catalog-v1-service-options-and-variants-service-options-and-variants.public.js';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { BuildRESTFunction, MaybeContext } from '@wix/sdk-types';
import { onServiceOptionsAndVariantsCreated as publicOnServiceOptionsAndVariantsCreated } from './bookings-catalog-v1-service-options-and-variants-service-options-and-variants.public.js';
import { onServiceOptionsAndVariantsDeleted as publicOnServiceOptionsAndVariantsDeleted } from './bookings-catalog-v1-service-options-and-variants-service-options-and-variants.public.js';
import { onServiceOptionsAndVariantsUpdated as publicOnServiceOptionsAndVariantsUpdated } from './bookings-catalog-v1-service-options-and-variants-service-options-and-variants.public.js';
export declare const createServiceOptionsAndVariants: MaybeContext<BuildRESTFunction<typeof publicCreateServiceOptionsAndVariants> & typeof publicCreateServiceOptionsAndVariants>;
export declare const cloneServiceOptionsAndVariants: MaybeContext<BuildRESTFunction<typeof publicCloneServiceOptionsAndVariants> & typeof publicCloneServiceOptionsAndVariants>;
export declare const getServiceOptionsAndVariants: MaybeContext<BuildRESTFunction<typeof publicGetServiceOptionsAndVariants> & typeof publicGetServiceOptionsAndVariants>;
export declare const getServiceOptionsAndVariantsByServiceId: MaybeContext<BuildRESTFunction<typeof publicGetServiceOptionsAndVariantsByServiceId> & typeof publicGetServiceOptionsAndVariantsByServiceId>;
export declare const updateServiceOptionsAndVariants: MaybeContext<BuildRESTFunction<typeof publicUpdateServiceOptionsAndVariants> & typeof publicUpdateServiceOptionsAndVariants>;
export declare const deleteServiceOptionsAndVariants: MaybeContext<BuildRESTFunction<typeof publicDeleteServiceOptionsAndVariants> & typeof publicDeleteServiceOptionsAndVariants>;
export declare const queryServiceOptionsAndVariants: MaybeContext<BuildRESTFunction<typeof publicQueryServiceOptionsAndVariants> & typeof publicQueryServiceOptionsAndVariants>;
/** */
export declare const onServiceOptionsAndVariantsCreated: ReturnType<typeof createEventModule<typeof publicOnServiceOptionsAndVariantsCreated>>;
/** */
export declare const onServiceOptionsAndVariantsDeleted: ReturnType<typeof createEventModule<typeof publicOnServiceOptionsAndVariantsDeleted>>;
/** */
export declare const onServiceOptionsAndVariantsUpdated: ReturnType<typeof createEventModule<typeof publicOnServiceOptionsAndVariantsUpdated>>;
export { ServiceOptionType, SortOrder, PlacementType, DayOfWeek, ResolutionMethod, WebhookIdentityType, } from './bookings-catalog-v1-service-options-and-variants-service-options-and-variants.universal.js';
export { ServiceOptionsAndVariants, ServiceOption, ServiceOptionOptionSpecificDataOneOf, CustomServiceOption, DurationServiceOption, ServiceVariant, ServiceChoice, ServiceChoiceChoiceOneOf, Duration, Money, ServiceOptions, ServiceVariants, ExtendedFields, CreateServiceOptionsAndVariantsRequest, CreateServiceOptionsAndVariantsResponse, CloneServiceOptionsAndVariantsRequest, CloneServiceOptionsAndVariantsResponse, GetServiceOptionsAndVariantsRequest, GetServiceOptionsAndVariantsResponse, GetServiceOptionsAndVariantsByServiceIdRequest, GetServiceOptionsAndVariantsByServiceIdResponse, UpdateServiceOptionsAndVariantsRequest, UpdateServiceOptionsAndVariantsResponse, DeleteServiceOptionsAndVariantsRequest, DeleteServiceOptionsAndVariantsResponse, QueryServiceOptionsAndVariantsRequest, QueryV2, QueryV2PagingMethodOneOf, Sorting, Paging, CursorPaging, QueryServiceOptionsAndVariantsResponse, PagingMetadataV2, Cursors, DomainEvent, DomainEventBodyOneOf, EntityCreatedEvent, RestoreInfo, EntityUpdatedEvent, EntityDeletedEvent, ActionEvent, Empty, SitePropertiesNotification, SitePropertiesEvent, Properties, Categories, Locale, Address, AddressHint, GeoCoordinates, BusinessSchedule, TimePeriod, SpecialHourPeriod, Multilingual, SupportedLanguage, ConsentPolicy, Translation, ChangeContext, ChangeContextPayloadOneOf, PropertiesChange, SiteCreated, SiteCloned, MessageEnvelope, IdentificationData, IdentificationDataIdOneOf, BaseEventMetadata, EventMetadata, ServiceOptionsAndVariantsCreatedEnvelope, ServiceOptionsAndVariantsDeletedEnvelope, ServiceOptionsAndVariantsUpdatedEnvelope, UpdateServiceOptionsAndVariants, DeleteServiceOptionsAndVariantsOptions, ServiceOptionsAndVariantsListQueryResult, ServiceOptionsAndVariantsListQueryBuilder, } from './bookings-catalog-v1-service-options-and-variants-service-options-and-variants.universal.js';
