import { createServiceOptionsAndVariants as publicCreateServiceOptionsAndVariants, cloneServiceOptionsAndVariants as publicCloneServiceOptionsAndVariants, getServiceOptionsAndVariants as publicGetServiceOptionsAndVariants, getServiceOptionsAndVariantsByServiceId as publicGetServiceOptionsAndVariantsByServiceId, updateServiceOptionsAndVariants as publicUpdateServiceOptionsAndVariants, deleteServiceOptionsAndVariants as publicDeleteServiceOptionsAndVariants, queryServiceOptionsAndVariants as publicQueryServiceOptionsAndVariants, } from './bookings-catalog-v1-service-options-and-variants-service-options-and-variants.public.js';
import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { onServiceOptionsAndVariantsCreated as publicOnServiceOptionsAndVariantsCreated } from './bookings-catalog-v1-service-options-and-variants-service-options-and-variants.public.js';
import { onServiceOptionsAndVariantsDeleted as publicOnServiceOptionsAndVariantsDeleted } from './bookings-catalog-v1-service-options-and-variants-service-options-and-variants.public.js';
import { onServiceOptionsAndVariantsUpdated as publicOnServiceOptionsAndVariantsUpdated } from './bookings-catalog-v1-service-options-and-variants-service-options-and-variants.public.js';
export const createServiceOptionsAndVariants = /*#__PURE__*/ createRESTModule(publicCreateServiceOptionsAndVariants);
export const cloneServiceOptionsAndVariants = /*#__PURE__*/ createRESTModule(publicCloneServiceOptionsAndVariants);
export const getServiceOptionsAndVariants = /*#__PURE__*/ createRESTModule(publicGetServiceOptionsAndVariants);
export const getServiceOptionsAndVariantsByServiceId = /*#__PURE__*/ createRESTModule(publicGetServiceOptionsAndVariantsByServiceId);
export const updateServiceOptionsAndVariants = /*#__PURE__*/ createRESTModule(publicUpdateServiceOptionsAndVariants);
export const deleteServiceOptionsAndVariants = /*#__PURE__*/ createRESTModule(publicDeleteServiceOptionsAndVariants);
export const queryServiceOptionsAndVariants = /*#__PURE__*/ createRESTModule(publicQueryServiceOptionsAndVariants);
/** */
export const onServiceOptionsAndVariantsCreated = createEventModule(publicOnServiceOptionsAndVariantsCreated);
/** */
export const onServiceOptionsAndVariantsDeleted = createEventModule(publicOnServiceOptionsAndVariantsDeleted);
/** */
export const onServiceOptionsAndVariantsUpdated = createEventModule(publicOnServiceOptionsAndVariantsUpdated);
export { ServiceOptionType, SortOrder, PlacementType, DayOfWeek, ResolutionMethod, WebhookIdentityType, } from './bookings-catalog-v1-service-options-and-variants-service-options-and-variants.universal.js';
//# sourceMappingURL=bookings-catalog-v1-service-options-and-variants-service-options-and-variants.context.js.map